<?php
/** header.php
 *
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @author		Konstantin Obenland
 * @package		WordPress
 * @subpackage	The Bootstrap
 * @since		1.0 - 05.02.2012
 */

?>
<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
	<head>
		<link rel="profile" href="http://gmpg.org/xfn/11" />
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />

		<title><?php wp_title( '&laquo;', true, 'right' ); ?></title>
		
		<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
		<![endif]-->
		
		<?php wp_head(); ?>
	</head>
	
	<body <?php body_class(); ?>>
		<div class="container">
			<div id="page" class="hfeed row">
				<header id="branding" role="banner" class="span12">
						<hgroup>
							<h1 id="site-title">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
									<span><?php bloginfo( 'name' ); ?></span>
								</a>
							</h1>
							<h2 id="site-description"><?php bloginfo( 'description' ); ?></h2>
						</hgroup>
						
						<nav id="access" role="navigation">
							<h3 class="assistive-text"><?php _e( 'Main menu', 'the-bootstrap' ); ?></h3>
							<div class="skip-link"><a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to primary content', 'the-bootstrap' ); ?>"><?php _e( 'Skip to primary content', 'the-bootstrap' ); ?></a></div>
							<div class="skip-link"><a class="assistive-text" href="#secondary" title="<?php esc_attr_e( 'Skip to secondary content', 'the-bootstrap' ); ?>"><?php _e( 'Skip to secondary content', 'the-bootstrap' ); ?></a></div>
							<div class="navbar">
								<div class="navbar-inner">
									<div class="container">
										<!-- .btn-navbar is used as the toggle for collapsed navbar content -->
										<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
											<span class="icon-bar"></span>
											<span class="icon-bar"></span>
											<span class="icon-bar"></span>
										</a>
									<?php wp_nav_menu( array(
										'theme_location'	=>	'primary',
										'container'			=>	'div',
										'container_class'	=>	'nav-collapse',
										'menu_class'		=>	'nav',
										'depth'				=>	2,
										'fallback_cb'		=>	false
									) ); ?>
									</div>
								</div>
							</div>
						</nav><!-- #access -->
						
						<?php if ( function_exists('yoast_breadcrumb') ) {
							yoast_breadcrumb('<div id="breadcrumb">','</div>');
						} ?>
				</header><!-- #branding --><?php
			

/* End of file header.php */
/* Location: ./wp-content/themes/the-bootstrap/header.php */